Issue 121795 - [sidebar]: position and size (I,C/chart and media,W/graphic,C/(text, line, shape and graphic),W/(text, line, shape))
Summary: [sidebar]: position and size (I,C/chart and media,W/graphic,C/(text, line, sh...
Status: RESOLVED FIXED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: 4.0.0-dev
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.0.0
Assignee: Armin Le Grand
QA Contact:
URL:
Keywords:
Depends on:
Blocks: [sidebar]
  Show dependency tree
 
Reported: 2013-02-19 09:41 UTC by jsc
Modified: 2013-07-11 13:56 UTC (History)
2 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description jsc 2013-02-19 09:41:21 UTC
migrate position and size (I,C/chart and media,W/graphic,C/(text, line, shape and graphic),W/(text, line, shape)) 

svx/source/propertypanel/posizepropertypage.cxx 

See also 
http://wiki.openoffice.org/wiki/Sidebar#Decks_and_content_panels
Comment 1 Armin Le Grand 2013-02-25 14:14:52 UTC
ALG: Taking over...
Comment 2 Armin Le Grand 2013-02-25 15:25:47 UTC
ALG: Initial version added. Slots for MirrorX/Y missing (SID_ATTR_TRANSFORM_MIRROR_HORIZONTAL, SID_ATTR_TRANSFORM_MIRROR_VERTICAL). Slots will be write-only (only apply) since SdrObjects in current AOO cannot hold mirroring information, that will be in aw080.
Values not yet coming in, looking for reason...
Comment 3 Armin Le Grand 2013-02-26 17:31:14 UTC
ALG: Slots SID_ATTR_TRANSFORM_MIRROR_HORIZONTAL, SID_ATTR_TRANSFORM_MIRROR_VERTICAL added, prepared. Seems as if all other needed slots do not get triggered, too. Looking deeper...
Comment 4 Armin Le Grand 2013-02-27 13:08:51 UTC
ALG: Problem with the slots is similar to LinePropertyPanel; most of the used slots are not defined in svx.sdi. Defining these...
Also: Decided to do something for the future and add a slot and item to directly support setting/getting the transformation at/for graphic objects...
Comment 5 Armin Le Grand 2013-02-27 15:58:34 UTC
ALG: Slots added, but get not triggered. Probably the ExecMethod and StateMethod definitions are still wrong in the *.sdi slot definitions in the applications (sc, sd, sw).
Comment 6 Armin Le Grand 2013-02-27 16:00:23 UTC
ALG: Need to find out which slots do trigger SdrEditView::GetGeoAttrFromMarked() and how SdrEditView::SetGeoAttrToMarked is used in this context.
Comment 7 Armin Le Grand 2013-02-27 16:52:41 UTC
ALG: One more comment: The size of the panel ist still too high, needs to be adapted in the ressource file.
Comment 8 Armin Le Grand 2013-03-20 16:14:21 UTC
ALG: Checked panel, looks good. Height is okay so far, too. All slots work. There seems to be a problem with group behaviour and rotations, checking...
Comment 9 Armin Le Grand 2013-03-21 14:23:58 UTC
ALG: Groups and group rotation have some problems with rotations; there are two cases:
- Group with all object same rotated
- Group with objects differently rotated
Checked many cases, some updates missing, most problems with rotation using the panel's interactive rotation control.
Comment 10 Armin Le Grand 2013-03-21 15:30:37 UTC
ALG: More cases to consider:
- Multiselect of equally roated objects
- Multiselect of differently roated objects
Done some corrections, looks good so far. Preparing commit...
Comment 11 SVN Robot 2013-03-21 15:49:06 UTC
"alg" committed SVN revision 1459369 into branches/sidebar:
i121795 Corrected some stuff regarding grouped objects or multiselections and...
Comment 12 Armin Le Grand 2013-03-30 18:26:21 UTC
ALG: Working well, done so far.
Comment 13 SVN Robot 2013-04-02 14:43:07 UTC
"orw" committed SVN revision 1463566 into branches/sidebar:
#121795# - position and size property panel - get it working for embedded obj...